package com.loganmagnan.hubcore.commands;

import com.loganmagnan.hubcore.HubCore;
import com.loganmagnan.hubcore.utils.command.BaseCommand;
import com.loganmagnan.hubcore.utils.command.Command;
import com.loganmagnan.hubcore.utils.command.CommandArguments;
import org.bukkit.entity.Player;

public class SpawnCommand extends BaseCommand {

    private HubCore main = HubCore.getInstance();

    @Command(name = "spawn")
    @Override
    public void executeAs(CommandArguments command) {
        Player player = command.getPlayer();

        String[] args = command.getArgs();

        if (args.length == 0) {
            player.teleport(this.main.getSpawnManager().getSpawnLocation().toBukkitLocation());
        }
    }
}
