package com.loganmagnan.hubcore.listeners;

import com.loganmagnan.hubcore.HubCore;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.InventoryClickEvent;
import org.bukkit.event.inventory.InventoryType;

public class InventoryClickListener implements Listener {

    private HubCore main = HubCore.getInstance();

    @EventHandler
    public void onInventoryClick(InventoryClickEvent event) {
        event.setCancelled(true);

        if ((!(event.getWhoClicked() instanceof Player)) || (event.getCurrentItem() == null)) {
            return;
        }

        if (event.getInventory().getType().equals(InventoryType.PLAYER)) {
            event.setCancelled(false);
        }
    }
}
